Package org.python.core.stringlib

# Class InternalFormat

java.lang.Object
org.python.core.stringlib.InternalFormat

public class InternalFormat extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`InternalFormat.Formatter`
A class that provides the base for implementations of type-specific formatting.
`static class`
`InternalFormat.Spec`
Parsed PEP-3101 format specification of a single field, encapsulating the format for use by formatting methods.

## Constructor Summary

Constructors
Constructor
Description
`InternalFormat()`

## Method Summary

Modifier and Type
Method
Description
`static InternalFormat.Spec`
`fromText(String text)`
Create a `InternalFormat.Spec` object by parsing a format specification.
`static InternalFormat.Spec`
`fromText(PyObject text, String method)`
Create a `InternalFormat.Spec` object by parsing a format specification, supplied as an object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InternalFormat

public InternalFormat()

## Method Details

### fromText

public static InternalFormat.Spec fromText(String text)
Create a `InternalFormat.Spec` object by parsing a format specification.

Parameters:
  `text` - to parse
Returns:
  parsed equivalent to text

### fromText

public static InternalFormat.Spec fromText(PyObject text, String method)
Create a `InternalFormat.Spec` object by parsing a format specification, supplied as an object.

Parameters:
  `text` - to parse
Returns:
  parsed equivalent to text